Loading...
Searching...
No Matches
matrix_row_access.h File Reference

Contains the Gudhi::persistence_matrix::Matrix_row_access class and Gudhi::persistence_matrix::Dummy_matrix_row_access structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_matrix_row_access
| Empty structure. Inherited instead of Matrix_row_access, when the the row access is not enabled. More...
class | Gudhi::persistence_matrix::Matrix_row_access< Row, Row_container, has_removable_rows, ID_index >
| Class managing the row access for the inheriting matrix. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Matrix_row_access class and Gudhi::persistence_matrix::Dummy_matrix_row_access structure.

Author
  Hannah Schreiber